## ros-humble-gazebo-plugins 3.7.0

=== debian/changelog ===
ros-humble-gazebo-plugins (3.7.0-1jammy) jammy; urgency=high

  * Add friction coefficient parameters (#1393 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1393>)
  * GPS sensor plugin publishing velocity (#1371 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1371>) (#1387 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1387>)
  * Contributors: Jacob Perron, Jenn Nguyen, Marcel Dudek

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 13 Jun 2022 07:00:00 -0000

ros-humble-gazebo-plugins (3.6.0-1jammy) jammy; urgency=high

  * Initialize wheel slip parameters directly from SDF (#1365 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1365>)
  * Fix test failures (#1380 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1380>)
  * gazebo_ros_ft_sensor_demo.world: use world solver (#1354 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1354>)
  * gazebo_ros_wheel_slip: set lateral slip to zero at low speed (#1338 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1338>)
  * gazebo_ros_wheel_slip: publish wheel slip (#1331 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1331>)
  * Add slip values for individual wheels (#1312 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1312>)
  * Default slip values fix for wheel slip plugin (#1308 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1308>)
  * Add runtime warning when user sets use_sim_time parameter
  * Fix warnings when building against the latest sources (#1282 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1282>)
  * Add method to get ROS node from GazeboRosCameraPlugin (#1299 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1299>)
  * Improve robustness of joint state publisher test (#1259 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1259>)
  * Avoid rejecting QoS overrides parameters (#1258 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1258>)
  * Publish with QoS reliable as default (#1224 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1224>) (#1235 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1235>)
  * Contributors: Aditya Pande, Audrow Nash, Brett Downing, Chris Lalancette, Daisuke Nishimatsu, Dharini Dutia, Jacob Perron, Steve Peters

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 10 May 2022 07:00:00 -0000

ros-humble-gazebo-plugins (3.5.2-1jammy) jammy; urgency=high

  * gazebo_ros_camera: Added accessor methods for camera properties (#1246 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1246>)
    * Added accessor methods to gazebo_ros_camera for subclass access to camera properties.
    * Removed ros node accessor; no longer needed
    * Removed const return types and added vector include to header
    Co-authored-by: kbjeppes <mailto:kaden.b.jeppesen@nasa.gov>
  * Fix tests for cyclonedds (#1228 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1228>) The
    default RMW implementation changed recently and some tests are now failing.
    This fixes the tests.  * Use KeepLast(1) with transient_local in tests There
    are some QoS incompatibilities in some tests that use SystemDefaultsQoS, so
    this changes them to use KeepLast(1) with transient_local instead. This fixes
    some of the test failures but not all.  * test_sim_time: allow more startup
    messages * Fix QoS and initialization of joint state pub test
  * Make p3d offset element names singular (#1210 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1210>)
    * Make p3d offset element names singular
    - <xyz_offsets> is renamed to <xyz_offset>
    - <rpy_offsets> is renamed to <rpy_offsets>
    The old names can still be used, but are deprecated.
    This is more consistent with the naming convention used in ROS 1 versions.
    * Add test for deprecated functionality
  * Contributors: Jacob Perron, Steve Peters, kjeppesen1

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 15 Mar 2021 07:00:00 -0000

ros-humble-gazebo-plugins (3.5.1-1jammy) jammy; urgency=high

  * colcon.pkg: build gazebo first in colcon workspace (#1192 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1192>)
    Add a colcon.pkg file to gazebo_dev with gazebo's cmake project
    name "Gazebo" listed as a dependency to support building
    gazebo from source in a colcon workspace.
    * Add colcon.pkg files for other packages
    Copy colcon.pkg to gazebo_ros, gazebo_plugins, and
    gazebo_ros_control so that --merge-install won't be required.
    Signed-off-by: Steve Peters <mailto:scpeters@openrobotics.org>
  * Fixed Parameterized testing on Rolling (#1184 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1184>)
    Signed-off-by: ahcorde <mailto:ahcorde@gmail.com>
  * adding buffer to gzebo ros hand of god plugin (#1179 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1179>)
    Fixes #1178 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1178>.
  * [gazebo_plugins] address warnings (#1151 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1151>)
    * use .c_str() for variadic template
    * silence warnings
    Signed-off-by: Karsten Knese <mailto:Karsten1987@users.noreply.github.com>
    Signed-off-by: Steve Peters <mailto:scpeters@openrobotics.org>
  * Port wheel slip plugin to ros2 (forward port from eloquent) (#1148 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1148>)
    Forward port of wheel slip plugin from eloquent (#1099 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1099>)
    to foxy.
    It includes a similar change to #1111 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1111>, which moved the
    WheelSlipPlugin::Load call before the parameter callback
    so that the values from SDF/URDF are set first.
    Then the callback is changed to ignore negative values, and the
    default slip parameter values are set to -1, so that the SDF/URDF

